Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Reflection.MemberInfo System.Runtime.InteropServices._MethodBase System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._MethodBase)) System.Runtime.InteropServices.ComVisible(true)

Provides information about methods and constructors.

is used to represent method types.

The Base Class Library includes the following derived types:

- Constructor

  Constructs a new instance of the class.

  To be added.
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Reflection.MethodAttributes

  Gets the attributes of the method reflected by the current instance.

  A value that signifies the attributes of the method reflected by the current instance.

  This property is read-only.

  This property gets a value that indicates the attributes set in the metadata of the method reflected by the current instance.

  Use this property to determine the accessibility, layout, and semantics of the constructor or method reflected by the current instance. Also use this property to determine if the member reflected by the current instance is implemented in native code or has a special name.

  The following example demonstrates using this property to obtain the attributes of three methods.

  `using System; using System.Reflection; abstract class MyBaseClass { abstract public void MyPublicInstanceMethod(); } class MyDerivedClass : MyBaseClass { public override void MyPublicInstanceMethod() {} private static void MyPrivateStaticMethod() {} } class MethodAttributesExample { static void PrintMethodAttributes(Type t) { string str; MethodInfo[] miAry = t.GetMethods( BindingFlags.Static | BindingFlags.Instance | BindingFlags.Public | BindingFlags.NonPublic | BindingFlags.DeclaredOnly ); foreach (MethodInfo mi in miAry) { Console.WriteLine("Method {0} is: ", mi.Name); str = ((mi.Attributes & MethodAttributes.Static) != 0) ? "Static" : "Instance"; Console.Write(str + " "); str = ((mi.Attributes & MethodAttributes.Public) != 0) ? "Public" : "Not-Public"; Console.Write(str + " "); str = ((mi.Attributes & MethodAttributes.HideBySig) != 0) ? "HideBySig" : "Hide-by-name"; Console.Write(str + " "); str = ((mi.Attributes & MethodAttributes.Abstract) != 0) ? "Abstract" : String.Empty; Console.WriteLine(str); } } public static void Main() { PrintMethodAttributes(typeof(MyBaseClass)); PrintMethodAttributes(typeof(MyDerivedClass)); } }`

  The output is

  Method MyPublicInstanceMethod is:

  Instance Public HideBySig Abstract

  Method MyPublicInstanceMethod is:

  Instance Public HideBySig

  Method MyPrivateStaticMethod is:

  Static Not-Public HideBySig

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Reflection.CallingConventions To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean

  Gets a value that indicates whether a generic method contains unassigned generic type parameters.

  if the current method contains unassigned generic type parameters; otherwise .

  The default behavior, when not overridden in a derived class, is to return . In other words, by default, derived classes do not support generics.

  In order to invoke a generic method, there must be no generic type definitions or open constructed types in the type arguments of the method itself, or in any enclosing types. If the property returns , the method cannot be invoked.

  The property searches recursively for type parameters. For example, it returns for any method in an open type , even though the method itself is not generic. Contrast this with the behavior of the property, which returns for such a method.

  For a list of the invariant conditions for terms specific to generic methods, see the property. For a list of the invariant conditions for other terms used in generic reflection, see the property.

  This property is read-only.

  2.0.0.0
  4.0.0.0
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  System.Reflection.MethodBase To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Type[]

  Returns an array of objects that represent the type arguments of a generic method or the type parameters of a generic method definition.

  An array of objects that represent the type arguments of a generic method or the type parameters of a generic method definition. Returns an empty array if the current method is not a generic method.

  The default behavior, when not overridden in a derived class, is to throw . In other words, derived classes do not support generics by default.

  The elements of the returned array are in the order in which they appear in the list of type parameters for the generic method.

  If the current method is a closed constructed method (that is, the property returns ), the array returned by the method contains the types that have been assigned to the generic type parameters of the generic method definition.

  If the current method is a generic method definition, the array contains the type parameters.

  If the current method is an open constructed method (that is, the property returns ) in which specific types have been assigned to some type parameters and type parameters of enclosing generic types have been assigned to other type parameters, the array contains both types and type parameters. Use the property to tell them apart.

  For a list of the invariant conditions for terms specific to generic methods, see the property. For a list of the invariant conditions for other terms used in generic reflection, see the property.

  Default behavior when not overridden in a derived class.

  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
- Method
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  System.Reflection.MethodBody To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Reflection.MethodBase `` The method's handle.

  Gets method information by using the method's internal metadata representation (handle).

  A object containing information about the method.

  The handles are valid only in the application domain in which they were obtained.

  1
  RuntimeInfrastructure
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Reflection.MethodBase `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  System.Reflection.MethodImplAttributes To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Reflection.ParameterInfo[]

  Returns the parameters of the method or constructor reflected by the current instance.

  An array of objects that contain information that matches the signature of the method or constructor reflected by the current instance.

  As described above.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Type To be added. To be added. To be added. 1.0.5000.0
- Method
  System.Object `` `` An instance of a type that contains the constructor or method reflected by the current instance. If the member is static, is ignored. For non-static methods, is an instance of a class that inherits or declares the method.

  An array objects that match the number, order and type of the parameters for the constructor or method reflected by the current instance. If the member reflected by the current instance takes no parameters, specify either an array with zero elements or . Any object in this array that is not explicitly initialized with a value will contain the default value for that object type. For reference-type elements, this value is . For value-type elements, this value is 0, 0.0, or , depending on the specific element type. If the method or constructor reflected by the current instance is , this parameter is ignored.

  To be added.

  Invokes the method or constructor reflected by the current instance on the specified object and using the specified arguments.

  A that contains the return value of the invoked method, or a re-initialized object if a constructor was invoked.

  This version of is equivalent to (, ()0, , , ).

  Optional parameters cannot be omitted in calls to .

  The types of the elements of do not match the types of the parameters accepted by the constructor or method reflected by the current instance, under the constraints of the default binder. The constructor or method reflected by the current instance is non-static and is , or is of a type that does not implement the member reflected by the current instance. The constructor or method reflected by the current instance threw an exception. .Length does not equal the number of parameters required by the contract of the member reflected by the current instance. Requires permission to invoke non-public members of loaded assemblies. See . The caller does not have permission to execute the method or constructor. The type that declares the method is an open generic type. That is, returns for the declaring type. 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.Diagnostics.DebuggerStepThrough
- Method
  System.Object `` `` `` `` `` An instance of the type that contains the method reflected by the current instance. If the method is static, is ignored. For non-static methods, is an instance of a class that inherits or declares the method. A value that controls the binding process. An object that enables the binding, coercion of argument types, invocation of members, and retrieval of objects via reflection. If is , the default binder is used.

  An array of objects that match the number, order and type of the parameters for the constructor or method reflected by the current instance. If the member reflected by the current instance takes no parameters, specify either an array with zero elements or . Any object in this array that is not explicitly initialized with a value will contain the default value for that object type. For reference-type elements, this value is . For value-type elements, this value is 0, 0.0, or , depending on the specific element type. If the method or constructor reflected by the current instance is , this parameter is ignored.

  The only defined value for this parameter is .

  To be added. To be added. To be added. To be added.

  Invokes the method or constructor reflected by the current instance as determined by the specified arguments.

  A that contains the return value of the invoked method, or a re-initialized object if a constructor was invoked.

  Optional parameters can not be omitted in calls to .

  The types of the elements of do not match the types of the parameters accepted by the constructor or method reflected by the current instance, under the constraints of the default binder. The constructor or method reflected by the current instance is non-static, and is or is of a type that does not implement the member reflected by the current instance. The method reflected by the current instance threw an exception. .Length does not equal the number of parameters required by the contract of the constructor or method reflected by the current instance. Requires permission to invoke non-public members of loaded assemblies. See . The caller does not have permission to execute the method or constructor. The type that declares the method is an open generic type. That is, returns for the declaring type. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. System.Runtime.InteropServices.ComVisible(true) 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean

  Gets a value that indicates whether the current object is a generic method.

  if the current object is a generic method; otherwise .

  The default behavior, when not overridden in a derived class, is to return . In other words, by default, derived classes do not support generics.

  Use this property to determine whether the current object represents a generic method. Use the property to determine whether the current object represents an open constructed method or a closed constructed method.

  For a list of the invariant conditions for terms specific to generic methods, see the property. For a list of the invariant conditions for other terms used in generic reflection, see the property.

  This property is read-only.

  2.0.0.0
  4.0.0.0
- Property
  System.Boolean

  Gets a value that indicates whether the current represents a definition of a generic method.

  if the current object represents the definition of a generic method; otherwise .

  The default behavior, when not overridden in a derived class, is to return . In other words, by default, derived classes do not support generics.

  If the current represents a generic method definition, then:

  returns .

  For each object in the array returned by the method: The property returns ; the returns the current instance; and the property is the same as the position of the object in the array.

  For a list of the invariant conditions for terms specific to generic methods, see the property. For a list of the invariant conditions for other terms used in generic reflection, see the property.

  This property is read-only.

  2.0.0.0
  4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.RuntimeMethodHandle To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
0